fog fog

fog

43 3 0

The Ruby cloud services library.

Dependencies

Package Locked Requirement Latest Status Changelog
Gems fog-aliyun >= 0.1.0 0.1.0

fog-aliyun

As a FOG provider, fog-aliyun support aliyun OSS/ECS. It will support more aliyun services later.

This dependency is up-to-date. Congrats and keep going!

Gems fog-atmos >= 0 0.1.0

fog-atmos

This library can be used as a module for `fog` or as standalone provider to use the Atmos in applications.

This dependency is up-to-date. Congrats and keep going!

Gems fog-aws >= 0.6.0 0.10.0

fog-aws

This library can be used as a module for `fog` or as standalone provider to use the Amazon Web Services in applications..

This dependency is up-to-date. Congrats and keep going!

Gems fog-brightbox ~> 0.4 0.11.0

fog-brightbox

Module for the 'fog' gem to support Brightbox Cloud

This dependency is up-to-date. Congrats and keep going!

Gems fog-core ~> 1.32 1.42.0

fog-core

Shared classes and tests for fog providers and services.

This dependency is up-to-date. Congrats and keep going!

Gems fog-dynect ~> 0.0.2 0.0.3

fog-dynect

This library can be used as a module for `fog` or as standalone provider to use Dynect DNS in applications.

This dependency is up-to-date. Congrats and keep going!

Gems fog-ecloud ~> 0.1 0.3.0

fog-ecloud

This library can be used as a module for `fog` or as standalone provider to use the Terremark EnterpriseCloud in applications.

This dependency is up-to-date. Congrats and keep going!

Gems fog-google <= 0.1.0 0.3.2

fog-google

This library can be used as a module for `fog` or as standalone provider to use the Google in applications.

This dependency is not matching latest version. Please consider upgrading.

Gems fog-json >= 0 1.0.2

fog-json

Extraction of the JSON parsing tools shared between a number of providers in the 'fog' gem.

This dependency is up-to-date. Congrats and keep going!

Gems fog-local >= 0 0.3.0

fog-local

This library can be used as a module for `fog` or as standalone provider to use local filesystem storage.

This dependency is up-to-date. Congrats and keep going!

Gems fog-powerdns >= 0.1.1 0.1.1

fog-powerdns

This library can be used as a module for 'fog' or as a standalone provider to use PowerDNS DNS services in applications.

This dependency is up-to-date. Congrats and keep going!

Gems fog-profitbricks >= 0 0.0.5

fog-profitbricks

This library can be used as a module for 'fog' or as standalone ProfitBricks provider.

This dependency is up-to-date. Congrats and keep going!

Gems fog-radosgw >= 0.0.2 0.0.5

fog-radosgw

Fog backend for provisioning users on Ceph Radosgw - the Swift and S3 compatible REST API for Ceph.

This dependency is up-to-date. Congrats and keep going!

Gems fog-riakcs >= 0 0.1.0

fog-riakcs

This library can be used as a module for `fog` or as standalone provider to use the Riakcs in applications.

This dependency is up-to-date. Congrats and keep going!

Gems fog-sakuracloud >= 0.0.4 1.7.5

fog-sakuracloud

Module for the 'fog' gem to support Sakura no Cloud

This dependency is up-to-date. Congrats and keep going!

Gems fog-serverlove >= 0 0.1.2

fog-serverlove

This library can be used as a module for `fog` or as standalone provider to use the ServerLove in applications.

This dependency is up-to-date. Congrats and keep going!

Gems fog-softlayer >= 0 1.1.3

fog-softlayer

Module for the 'fog' gem to support SoftLayer Cloud

This dependency is up-to-date. Congrats and keep going!

Gems fog-storm_on_demand >= 0 0.1.1

fog-storm_on_demand

This library can be used as a module for `fog` or as standalone provider to use the StormOnDemand in applications.

This dependency is up-to-date. Congrats and keep going!

Gems fog-terremark >= 0 0.1.0

fog-terremark

This library can be used as a module for `fog` or as standalone provider to use the Terremark vCloud in applications.

This dependency is up-to-date. Congrats and keep going!

Gems fog-vmfusion >= 0 0.1.0

fog-vmfusion

This library can be used as a module for `fog` or as standalone provider to use the VMWARE FUSION in applications.

This dependency is up-to-date. Congrats and keep going!

Gems fog-voxel >= 0 0.1.0

fog-voxel

This library can be used as a module for `fog` or as standalone provider to use the Voxel in applications.

This dependency is up-to-date. Congrats and keep going!

Gems fog-vsphere >= 0.4.0 0.8.0

fog-vsphere

This library can be used as a module for `fog` or as standalone provider to use vSphere in applications.

This dependency is up-to-date. Congrats and keep going!

Gems fog-xenserver >= 0 0.2.3

fog-xenserver

Module for the 'fog' gem to support XENSERVER.

This dependency is up-to-date. Congrats and keep going!

Gems fog-xml ~> 0.1.1 0.1.2

fog-xml

Extraction of the XML parsing tools shared between a number of providers in the 'fog' gem

This dependency is up-to-date. Congrats and keep going!

Gems ipaddress ~> 0.5 0.8.3

ipaddress

IPAddress is a Ruby library designed to make manipulation of IPv4 and IPv6 addresses both powerful and simple. It mantains a layer of compatibility with Ruby's own IPAddr, while addressing many of its issues.

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Gems docker-api >= 1.13.6 1.29.0

docker-api

A simple REST client for the Docker Remote API

This dependency is up-to-date. Congrats and keep going!

Gems fission >= 0 0.5.0

fission

A simple utility to manage VMware Fusion VMs from the command line

This dependency is up-to-date. Congrats and keep going!

Gems minitest >= 0 5.9.0

minitest

minitest provides a complete suite of testing facilities supporting TDD, BDD, mocking, and benchmarking. "I had a class with Jim Weirich on testing last week and we were allowed to choose our testing frameworks. Kirk Haines and I were paired up and we cracked open the code for a few test frameworks... I MUST say that minitest is *very* readable / understandable compared to the 'other two' options we looked at. Nicely done and thank you for helping us keep our mental sanity." -- Wayne E. Seguin minitest/test is a small and incredibly fast unit testing framework. It provides a rich set of assertions to make your tests clean and readable. minitest/spec is a functionally complete spec engine. It hooks onto minitest/test and seamlessly bridges test assertions over to spec expectations. minitest/benchmark is an awesome way to assert the performance of your algorithms in a repeatable manner. Now you can assert that your newb co-worker doesn't replace your linear algorithm with an exponential one! minitest/mock by Steven Baker, is a beautifully tiny mock (and stub) object framework. minitest/pride shows pride in testing and adds coloring to your test output. I guess it is an example of how to write IO pipes too. :P minitest/test is meant to have a clean implementation for language implementors that need a minimal set of methods to bootstrap a working test suite. For example, there is no magic involved for test-case discovery. "Again, I can't praise enough the idea of a testing/specing framework that I can actually read in full in one sitting!" -- Piotr Szotkowski Comparing to rspec: rspec is a testing DSL. minitest is ruby. -- Adam Hawkins, "Bow Before MiniTest" minitest doesn't reinvent anything that ruby already provides, like: classes, modules, inheritance, methods. This means you only have to learn ruby to use minitest and all of your regular OO practices like extract-method refactorings still apply.

This dependency is up-to-date. Congrats and keep going!

Gems minitest-stub-const >= 0 0.5

minitest-stub-const

Stub constants for the duration of a block in MiniTest

This dependency is up-to-date. Congrats and keep going!

Gems netrc >= 0 0.11.0

netrc

This library can read and update netrc files, preserving formatting including comments and whitespace.

This dependency is up-to-date. Congrats and keep going!

Gems octokit >= 0 4.3.0

octokit

Simple wrapper for the GitHub API

This dependency is up-to-date. Congrats and keep going!

Gems opennebula >= 0 5.0.0

opennebula

Libraries needed to talk to OpenNebula

This dependency is up-to-date. Congrats and keep going!

Gems pry >= 0 0.10.4

pry

An IRB alternative and runtime developer console

This dependency is up-to-date. Congrats and keep going!

Gems rake >= 0 11.2.2

rake

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are specified in standard Ruby syntax. Rake has the following features: * Rakefiles (rake's version of Makefiles) are completely defined in standard Ruby syntax. No XML files to edit. No quirky Makefile syntax to worry about (is that a tab or a space?) * Users can specify tasks with prerequisites. * Rake supports rule patterns to synthesize implicit tasks. * Flexible FileLists that act like arrays but know about manipulating file names and paths. * A library of prepackaged tasks to make building rakefiles easier. For example, tasks for building tarballs and publishing to FTP or SSH sites. (Formerly tasks for building RDoc and Gems were included in rake but they're now available in RDoc and RubyGems respectively.) * Supports parallel execution of tasks.

This dependency is up-to-date. Congrats and keep going!

Gems rbovirt = 0.0.32 0.1.1

rbovirt

A Ruby client for oVirt REST API

This dependency is not matching latest version. Please consider upgrading.

Gems rbvmomi >= 0 1.8.2

rbvmomi

Ruby interface to the VMware vSphere API

This dependency is up-to-date. Congrats and keep going!

Gems rspec >= 0 3.5.0

rspec

BDD for Ruby

This dependency is up-to-date. Congrats and keep going!

Gems rspec-core >= 0 3.5.1

rspec-core

BDD for Ruby. RSpec runner and example groups.

This dependency is up-to-date. Congrats and keep going!

Gems rspec-expectations >= 0 3.5.0

rspec-expectations

rspec-expectations provides a simple, readable API to express expected outcomes of a code example.

This dependency is up-to-date. Congrats and keep going!

Gems rubocop >= 0 0.42.0

rubocop

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

This dependency is up-to-date. Congrats and keep going!

Gems shindo ~> 0.3.4 0.3.8

shindo

Work with your tests, not against them.

This dependency is up-to-date. Congrats and keep going!

Gems simplecov >= 0 0.12.0

simplecov

Code coverage for Ruby 1.9+ with a powerful configuration library and automatic merging of coverage across test suites

This dependency is up-to-date. Congrats and keep going!

Gems thor >= 0 0.19.1

thor

Thor is a toolkit for building powerful command-line interfaces.

This dependency is up-to-date. Congrats and keep going!

Gems vcr >= 0 3.0.3

vcr

Record your test suite's HTTP interactions and replay them during future test runs for fast, deterministic, accurate tests.

This dependency is up-to-date. Congrats and keep going!

Gems webmock ~> 1.22.2 2.1.0

webmock

WebMock allows stubbing HTTP requests and setting expectations on HTTP requests.

This dependency is not matching latest version. Please consider upgrading.

Gems yard >= 0 0.9.5

yard

YARD is a documentation generation tool for the Ruby programming language. It enables the user to generate consistent, usable documentation that can be exported to a number of formats very easily, and also supports extending for custom Ruby constructs such as custom class level definitions.

This dependency is up-to-date. Congrats and keep going!